[Haskell-cafe] ANNOUNCE: Takusen 0.8.6

Yitzchak Gale gale at sefer.org
Mon Aug 2 08:36:05 EDT 2010

Alistair Bayley wrote:
>> We've put some effort into supporting older versions of ghc...
>> Are there any distros still shipping with ghc-6.6?

There are so many distros out there that it is hard to say no. But
Debian, which tends to be very conservative, has not had
a supported version with GHC 6.6 since February 2010.

Jason Dagit wrote:
> ...darcs ...to drop support for a version of GHC ...If
> debian stable is still covered after the proposed changes
> then they are accepted automatically. If Debian stable
> would not be covered, then there is a discussion to reach
> consensus.

There seems to be considerably more tension on the Darcs
team between using new GHC features and supporting older
GHC versions. Even hanging on to 6.8 support has been very
painful for them.

Like Darcs, Takusen is fundamental infrastructure. An effort
should be made to support the oldest version of GHC still in
common production use. Ideally that would mean supporting
the version of GHC in Debian old-stable until at least a few
months after Debian has stopped supporting it. According to
that criterion, now is just about the right time to drop support
for GHC 6.6.

That said, people on platforms that old will probably not be
needing the shiniest new features of Takusen, only the bug


More information about the Haskell-Cafe mailing list